package examples.localserver;

import javax.xml.bind.annotation.Documentation;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ListSignatureResponse")
public class ListSignatureResponse {
    @XmlElement(required = true)
    @Documentation("ЭЦП")
    private String signature;

    @XmlElement(required = true)
    @Documentation("Данные ЭСФ для подписи")
    private String hash;

    public ListSignatureResponse() {
    }

    public ListSignatureResponse(String signature, String hash) {
        this.signature = signature;
        this.hash = hash;
    }

    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    public String getHash() {
        return hash;
    }

    public void setHash(String hash) {
        this.hash = hash;
    }
}
